openafs (1.8.13.2-1ubuntu1) plucky; urgency=medium

  * Support Linux 6.14 (LP: #2103812)
    - debian/patches/0015-LINUX-Refactor-afs_linux_dentry_revalidate.patch:
      LINUX: Refactor afs_linux_dentry_revalidate(). Thanks to Cheyenne Wills
      <cwills@sinenomine.net>.
    - debian/patches/0016-Linux-6.14-Handle-dops.d_revalidate-with-parent.patch:
      Linux-6.14: Handle dops.d_revalidate with parent. Thanks to Cheyenne Wills
      <cwills@sinenomine.net>.

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 21 Mar 2025 17:17:34 -0500

openafs (1.8.13.2-1) unstable; urgency=medium

  * New upstream release:
    - Support Linux versions through 6.13 (Closes: #1089501)
  * Set Rules-Require-Root (Closes: #1093345)

 -- Benjamin Kaduk <kaduk@mit.edu>  Thu, 30 Jan 2025 12:14:18 -0800

openafs (1.8.13-1) unstable; urgency=high

  * New upstream security release:
    - Fix OPENAFS-SA-2024-001: theft of credentials from Unix PAGs
      (CVE-2024-10394)
    - Fix OPENAFS-SA-2024-002: fileserver crash on malformed StoreACL
      (CVE-2024-10396)
    - Fix OPENAFS-SA-2024-003: buffer overflows in XDR responses
      (CVE-2024-10397)
    - Closes: #1087406, #1087407

 -- Benjamin Kaduk <kaduk@mit.edu>  Tue, 12 Nov 2024 13:58:26 -0800

openafs (1.8.12.1-1) unstable; urgency=medium

  * New upstream release:
    - Support Linux versions through 6.10 (Closes: #1077837).
  * Update Standards-Version to 4.7.0 (no changes needed).

 -- Benjamin Kaduk <kaduk@mit.edu>  Thu, 22 Aug 2024 10:35:13 -0700

openafs (1.8.12~pre1-1) unstable; urgency=medium

  * New upstream release candidate.
    From 1.8.12pre1:
      - Support Linux versions through 6.9 (Closes: #1060896).
      - Wait to run rx-perf test until server has started (Closes: #886696).
      - Avoid unsupported relocation type on AArch64 kmods (Closes: 1069781).
    From 1.8.11:
      - Flush Linux VFS dentry caches from `fs flush*` commands, reducing the
        need to write to /proc/sys/vm/drop_caches when troubleshooting.
      - Various bugfixes to avoid crashes and potential memory corruption.
      - Additional warnings in server logs: when an older version of a volume
        is restored, and when bosserver is not started in restricted mode.
      - Improve checks to avoid running RPCs when spurious packets are
        received.
      - Update to CellServDB from grand.central.org from 31 Oct 2023.
      - Address a couple potential sources of performance degradation in
        clients.
      - Refresh cache entries when size mismatches are detected.
  * Drop alternative dependency on kernel-package from openafs-modules-source;
    it has been gone since stretch (Closes: #1014397).
  * Re-enable rx-perf test, disabled since 1.8.8.1-2, after upstream's change.
  * Switch from pkg-config to pkgconf.

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 30 Jun 2024 14:42:29 -0700

openafs (1.8.10-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move afsd (back) into /usr/sbin (Closes: #1059432).
    Update path in init script and systemd service unit.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 29 May 2024 00:48:42 +0200

openafs (1.8.10-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062829

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 02:46:04 +0000

openafs (1.8.10-2) unstable; urgency=medium

  * Update lintian overrides to use appropriate context.
  * Import upstream patches to support Linux versions through 6.6
    (Closes: #1043131)
  * Update README.servers and afs-newcell to reflect rxkad-k5 usage
    (Closes: #1019751)
  * Clean up some more generated upstream files (Closes: #1048470)
  * Update Brazilian Portuguese debconf translation; thanks
    Paulo Henrique de Lima Santana (Closes: 1028070)
  * Add Romanian debconf translation; thanks Remus-Gabriel Chelu
    (Closes: #1033142)
  * Update Swedish debconf translation; thanks Martin Bagge / brother
    (Closes: #1054618)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 23 Dec 2023 21:56:47 -0800

openafs (1.8.10-1) unstable; urgency=medium

  * New upstream release:
    - Support Linux versions through 6.4 (Closes: #1038002)
    - Update to CellServDB from grand.central.org from 9 May 2022.
    - Add -literal option for "fs getfid".
  * Drop dependency on lsb-base.
  * Build-depend on libncurses-dev rather than libncurses5-dev.
  * Update bundled CellServDB to grand.central.org version of 09 May 2022.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Benjamin Kaduk <kaduk@mit.edu>  Fri, 14 Jul 2023 10:30:24 -0700

openafs (1.8.9-1) unstable; urgency=medium

  [ Benjamin Kaduk ]
  * New upstream release:
    - Support kernels up to 6.0.
    - Avoid delays in certain scenarios.
    - Detect invalid RPC inputs for FetchData RPCs to prevent volumes from
      unnecessarily being taken offline.

  [ Alejandro R. Sedeño ]
  * Do not build DKMS module on PREEMPT_RT kernels.

 -- Benjamin Kaduk <kaduk@mit.edu>  Thu, 22 Dec 2022 10:37:54 -0800

openafs (1.8.8.1-3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Switch to B-D: dh-dkms.
  * Declare Testsuite: autopkgtest-pkg-dkms.

  [ Benjamin Kaduk ]
  * Import upstream patches to support linux through 5.18 (Closes: #1010764)
    - This will change kernels from 5.8 through 5.17 to use the "readahead"
      interface rather than "readpages".
    - This imports some code from autoconf-archive and updates
      debian/copyright to list the new license/files.
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 20 Jun 2022 15:54:55 -0700

openafs (1.8.8.1-2) unstable; urgency=medium

  * Skip unit test that fails on the buildds by virtue of using a
    hardcoded port number.

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 12 Mar 2022 21:00:27 -0800

openafs (1.8.8.1-1) unstable; urgency=high

  * New upstream release:
    - Support linux kernel 5.16 (Closes: #1005404)
    - Treat the Rx SACK table as bits, not bytes, in preparation for
      subsequent changes to expand the maximum window size.

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 20 Feb 2022 20:15:56 -0800

openafs (1.8.8-3) unstable; urgency=medium

  * Import upstream FTBFS fix for Linux 5.15

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 23 Nov 2021 15:39:23 +0000

openafs (1.8.8-2) unstable; urgency=medium

  * Import upstream patch to improve support for linux 5.14 (avoiding
    a runtime error when the set_page_dirty operation is requested)

 -- Benjamin Kaduk <kaduk@mit.edu>  Tue, 12 Oct 2021 22:10:08 -0700

openafs (1.8.8-1) unstable; urgency=medium

  * New upstream release:
    - Support linux kernel 5.14 (Closes: #995134)
      PowerPC may be affected by a new ABI restriction.
    - Fix key handling for keys with parity bits (e.g., triple-DES)
      (Closes: #987690)
    - Use proper credentials for I/O to cache to avoid unneeded blockage
      by security mechanisms like AppArmor
    - Improvements in certain Rx call edge cases
    - Attempt to recover from certain errors instead of panicking clients
    - Additional changes noted in upstream changelog
  * Update debian/copyright for new file added upstream
  * Update to policy 4.6.0 (no changes needed)
  * Specify Build-Depends-Package in symbols files
  * Update to watch file version=4

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 26 Sep 2021 22:34:07 -0700

openafs (1.8.6-5) unstable; urgency=emergency

  * Pull in upstream patches to fix outgoing connections after
    unix epoch time 0x60000000 (Closes: #980115, #980116)

 -- Benjamin Kaduk <kaduk@mit.edu>  Thu, 14 Jan 2021 11:48:18 -0800

openafs (1.8.6-4) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Pull in upstream patches for linux kernel 5.9 support

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 25 Oct 2020 11:28:45 -0700

openafs (1.8.6-3) unstable; urgency=medium

  * Pull in upstream patches for linux kernel 5.8 support (Closes: #970258)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 19 Sep 2020 15:39:18 -0700

openafs (1.8.6-2) unstable; urgency=medium

  * Pull in upstream patches for -fcommon support (Closes: #966881)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 30 Aug 2020 19:39:18 -0700

openafs (1.8.6-1) unstable; urgency=medium

  * New upstream release:
    - Support linux kernel 5.7 (thanks Paolo Pisati for an early backport)
      (Closes: #964027)
    - other changes noted in the 1.8.6~pre1-1 entry

 -- Benjamin Kaduk <kaduk@mit.edu>  Tue, 30 Jun 2020 21:32:42 -0700

openafs (1.8.6~pre1-3) unstable; urgency=medium

  * Temporarily disable a test that fails on armhf buildd but not porterbox

 -- Benjamin Kaduk <kaduk@mit.edu>  Tue, 24 Mar 2020 17:30:45 -0700

openafs (1.8.6~pre1-2) unstable; urgency=medium

  * Pull in upstream patch to not resolve IP addresses to names in the
    vos tests (Closes: #953729)
  * Only use dh_missing --fail-missing for binary packages, to match
    the behavior used by the debhelper-compat-9 packaging prior to
    1.8.6~pre1-1 (Closes: #953709)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 21 Mar 2020 18:58:47 -0700

openafs (1.8.6~pre1-1) unstable; urgency=medium

  * New upstream prerelease (Closes: #953709):
    - Code cleanup prompted by gcc9 errors
    - Update "vos zap -force" to clean up empty directories
    - Relax implementation-specific XDR array length limits for prdb types,
      which were being hit in practice at some large sites
    - Tighten up fileservers' -readonly mode, and add an option to allow
      members of system:administrators to be able to write to readonly servers
    - Support linux kernels up to version 5.6rc2
    - Additional sundry changes; see upstream NEWS
  * Pull in additional patches from upstream:
    - Support linux kernel 5.6 release
    - Recognize ppc64le in configure's OS-detection logic
    - Skip vos tests if vlserver port is already bound (Closes: #953729)
  * Fix typo preventing ppc64el support from working (Closes: #946520)
  * Update Italian debconf translation; thanks Beatrice Torracca
    (Closes: #952799)
  * Update to debhelper-compat 12

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 21 Mar 2020 14:10:06 -0700

openafs (1.8.5-1) unstable; urgency=high

  * New upstream security release (Closes: #943587):
    - Fix OPENAFS-SA-2019-001, OPENAFS-SA-2019-002: information leakage from
      uninitialized RPC output variables
    - Fix OPENAFS-SA-2019-003: database server DoS (NULL dereference)
  * Configure --without-ctf-tools to allow kernel module builds when ctfutils
    are installed. (Closes: #935771)
  * Enable support for ppc64le. (Closes: #941658)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 27 Oct 2019 15:13:27 -0700

openafs (1.8.4~pre1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces

  [ Anders Kaseorg ]
  * New upstream release 1.8.3:
    - Miscellaneous improvements to error handling and server efficiency
      (see NEWS).
    - Support Linux 5.0.
  * Update CellServDB from grand.central.org (2018-05-14).
  * Remove custom compression settings for Debian tarball and binary
    packages.

  [ Benjamin Kaduk ]
  * New upstream prerelease 1.8.4pre1:
    - Further work to avoid spurious ENOENTs from filesystem access.
    - Fix the behavior of ptserver -restricted to match the documentation.
    - Autoconf updates and modernization. (Closes: #934758)
    - Additional miscellaneous improvements (see NEWS).
  * openafs-fileserver now depends on openafs-krb5 for akeyconvert in the
    maintainer script. (Closes: #934236)
  * Debconf translation update:
    - Danish, thanks Joe Hansen.  (Closes: #923111)
  * Backport upstream patch to require opt-in for weak crypto in aklog
    and klog.krb5. (Closes: #931819)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 17 Aug 2019 06:54:44 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog openafs-client`.
